본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Report

사이드 메뉴

Search

This document describes how to use the Kakao Moment Report APIs.

MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/report

Returns a report on an ad account.

You can see the values of Display campaigns and Message campaigns in an Ad account report. You can set multiple values for metricsGroup (Report indicator groups).

Because a report on a specific date may be changed until 8:00 A.M on the next day, you need to use the report as the real-time indicator. If you want to retrieve a report for today in real time, set 'datePreset' to 'TODAY'. To retrieve a report by hour, set 'dimension' to HOUR.

Today's date is excluded from the values of 'datePreset' and from the data retrieved by using start and end.

When you set start and end for the search period, the period should be within 31 days.

This API limits the number of calls to every five seconds per ad account ID for a single report or app ID for multiple reports. You cannot make a call within 5 seconds after the last call.

Ad account report
  • The values of dimensionAGE, GENDER, AGE_GENDER, LOCATION, DEVICE_TYPE, PLACEMENT — only supports for the Display campaign type.
  • If an ad account has only Display campaigns and if metricsGroup is set to MESSAGE, MESSAGE_ADDITION, or MESSAGE_CLICK for the Display campaigns, no data is retrieved.
  • If an ad account has only Message campaigns and if metricsGroup is set to BASIC, ADDITION, PLUS_FRIEND, PIXEL_CONVERSION, SDK_CONVERSION or VIDEO for the Message campaigns, no data is retrieved.
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
Required when requesting a report with only one ad account ID.
X
NameTypeDescriptionRequired
adAccountIdLong[]Ad account's ID to be retrieved (Maximum: 5 ad accounts).O
datePresetEnum: DatePresetPredefined search period for reportX
timeUnitEnum: TimeUnitCounting unit for report.

Available values:
  • DAY: Aggregated by date (Default)
  • ALL: Aggregated over the entire requested period as one

Note: To retrieve data by hour, use dimension and set it to HOUR.
X
startStringReport search period (Start date in yyyyMMdd format.)
If either start or end is null, data is retrieved according to the value of datePreset.
If even datePreset is not specified, data is retrieved based on TODAY (the value of datePreset).
You can set a start date in the past except for the day you search.
X
endStringReport search period (End date in yyyyMMdd format.)
You can set an end date from the start date to the day before you retrieve.
X
levelEnum: DimensionLevel criteria to retrieve a report (Default: AD_ACCOUNT)

Available values:
  • AD_ACCOUNT: ad_account_id: Ad account
  • CAMPAIGN: campaign_id: Campaign

Note: Sets the level at which report data is grouped.
X
dimensionEnum: DimensionCriteria to retrieve a report.

Available values:
  • CREATIVE_FORMAT: Creative format
  • PLACEMENT: Placement
  • AGE_BAND: Age range
  • GENDER: Gender
  • AGE_BAND_GENDER: Age range+gender
  • LOCATION: Location
  • DEVICE_TYPE: Device type
  • HOUR: Hour

Note: Sets the criteria by which report data is grouped.
X
metricsGroupEnum: MetricsGroup[]Report metric group.

Available values:
  • BASIC: Basic metrics
  • ADDITION: Additional metrics
  • MESSAGE: Message basic metrics
  • MESSAGE_ADDITION: Message additional metrics
  • MESSAGE_CLICK: Message click metrics
  • PLUS_FRIEND: Kakao Talk friends metrics
  • PIXEL_SDK_CONVERSION: Pixel & SDK conversion metrics
  • SLIDE_CLICK: Slide metrics
  • VIDEO: Video metrics
  • ADVIEW: Ad View metrics
  • BIZ_BOARD: Bizboard metrics
  • SPB: Board metrics

Note: Sets the metrics to retrieve. Refer to the type definition for the detailed metrics in each group.
O
KeyTypeDescription
codeIntegerError code.
messageStringResult message.
dataData[]Detailed data for a report.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/report?datePreset=TODAY&level=AD_ACCOUNT&dimension=CREATIVE_FORMAT&metricsGroup=BASIC" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/report?start=20200101&end=20200101&level=AD_ACCOUNT&dimension=CREATIVE_FORMAT&metricsGroup=BASIC" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {
"creative_format": "IMAGE BANNER",
"ad_account_id": "1234"
},
"metrics": {
"imp": 4,
"click": 0,
"ctr": 0.0,
"cost": 0.0
}
}
]
}
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {},
"metrics": {}
}
]
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/campaigns/report

Returns reports on campaigns.

This API limits the number of calls you can make to every five seconds per ad account ID and app ID. You cannot make a call within 5 seconds after the last call.

For details on report criteria parameters and response fields, refer to View report on ad account API.

Campaign report
  • If you set metricsGroup to MESSAGE, MESSAGE_ADDITION, or MESSAGE_CLICK for a Display campaign, no data is retrieved.

  • If you set metricsGroup to BASIC, ADDITION, PLUS_FRIEND, PIXEL_CONVERSION, SDK_CONVERSION or VIDEO for a Message campaign, no data is retrieved.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
campaignIdLong[]Campaign's ID to be retrieved (Maximum: 5 campaigns).O
datePresetEnum: DatePresetPredefined search period for reportX
timeUnitEnum: TimeUnitCounting unit for report.

Available values:
  • DAY: Aggregated by date (Default)
  • ALL: Aggregated over the entire requested period as one

Note: To retrieve data by hour, use dimension and set it to HOUR.
X
startStringReport search period (Start date in yyyyMMdd format.)
If either start or end is null, data is retrieved according to the value of datePreset.
If even datePreset is not specified, data is retrieved based on TODAY (the value of datePreset).
You can set a start date in the past except for the day you search.
X
endStringReport search period (End date in yyyyMMdd format.)
You can set an end date from the start date to the day before you retrieve.
X
levelEnum: DimensionLevel criteria to retrieve a report (Default: CAMPAIGN)

Available values:
  • CAMPAIGN: campaign_id: Campaign
  • AD_GROUP: ad_group_id: Ad group

Note: Sets the level at which report data is grouped.
X
dimensionEnum: DimensionCriteria to retrieve a report.

Available values:
  • CREATIVE_FORMAT: Creative format
  • PLACEMENT: Placement
  • AGE_BAND: Age range
  • GENDER: Gender
  • AGE_BAND_GENDER: Age range+gender
  • LOCATION: Location
  • DEVICE_TYPE: Device type
  • HOUR: Hour

Note: Sets the criteria by which report data is grouped.
X
metricsGroupEnum: MetricsGroup[]Report metric group.

Available values:
  • BASIC: Basic metrics
  • ADDITION: Additional metrics
  • MESSAGE: Message basic metrics
  • MESSAGE_ADDITION: Message additional metrics
  • MESSAGE_CLICK: Message click metrics
  • PLUS_FRIEND: Kakao Talk friends metrics
  • PIXEL_SDK_CONVERSION: Pixel & SDK conversion metrics
  • SLIDE_CLICK: Slide metrics
  • VIDEO: Video metrics
  • ADVIEW: Ad View metrics
  • BIZ_BOARD: Bizboard metrics
  • SPB: Board metrics

Note: Sets the metrics to retrieve. Refer to the type definition for the detailed metrics in each group.
O
KeyTypeDescription
codeIntegerError code.
messageStringResult message.
dataData[]Detailed data for a report.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/campaigns/report?datePreset=TODAY&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&campaignId=11562&level=CAMPAIGN&campaignId=1,2,3,4,5" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
curl -X GET "https://apis.moment.kakao.com/openapi/v4/campaigns/report?start=20200101&end=20200101&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&campaignId=11562&level=CAMPAIGN&campaignId=1,2,3,4,5" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {
"creative_format": "IMAGE BANNER",
"campaign_id": "1234"
},
"metrics": {
"imp": 4,
"click": 0,
"ctr": 0.0,
"cost": 0.0
}
},
{}
]
}
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {},
"metrics": {}
}
]
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adGroups/report

Returns reports on ad groups.

This API limits the number of calls you can make to every one second per ad account ID and app ID. You cannot make a call within 1 second after the last call.

For report criteria and response fields, refer to Report criteria and response fields.

Ad group report
  • If you set metricsGroup to 'MESSAGE', 'MESSAGE_ADDITION', or 'MESSAGE_CLICK' for a Display ad group, no data is retrieved.

  • If you set metricsGroup to 'BASIC', 'ADDITION', 'PLUS_FRIEND', 'PIXEL_CONVERSION', 'SDK_CONVERSION' or 'VIDEO' for a Message ad group, no data is retrieved.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
adGroupIdLong[]Ad group's ID to be retrieved (Maximum: 40 ad groups).O
datePresetEnum: DatePresetPredefined search period for reportX
timeUnitEnum: TimeUnitCounting unit for report.

Available values:
  • DAY: Aggregated by date (Default)
  • ALL: Aggregated over the entire requested period as one

Note: To retrieve data by hour, use dimension and set it to HOUR.
X
startStringReport search period (Start date in yyyyMMdd format.)
If either start or end is null, data is retrieved according to the value of datePreset.
If even datePreset is not specified, data is retrieved based on TODAY (the value of datePreset).
You can set a start date in the past except for the day you search.
X
endStringReport search period (End date in yyyyMMdd format.)
You can set an end date from the start date to the day before you retrieve.
X
levelEnum: DimensionLevel criteria to retrieve a report (Default: AD_GROUP)

Available values:
  • AD_GROUP: ad_group_id: Ad group
  • CREATIVE: creative_id: Creative

Note: Sets the level at which report data is grouped.
X
dimensionEnum: DimensionCriteria to retrieve a report.

Available values:
  • CREATIVE_FORMAT: Creative format
  • PLACEMENT: Placement
  • AGE_BAND: Age range
  • GENDER: Gender
  • AGE_BAND_GENDER: Age range+gender
  • LOCATION: Location
  • DEVICE_TYPE: Device type
  • HOUR: Hour

Note: Sets the criteria by which report data is grouped.
X
metricsGroupEnum: MetricsGroup[]Report metric group.

Available values:
  • BASIC: Basic metrics
  • ADDITION: Additional metrics
  • MESSAGE: Message basic metrics
  • MESSAGE_ADDITION: Message additional metrics
  • MESSAGE_CLICK: Message click metrics
  • PLUS_FRIEND: Kakao Talk friends metrics
  • PIXEL_SDK_CONVERSION: Pixel & SDK conversion metrics
  • SLIDE_CLICK: Slide metrics
  • VIDEO: Video metrics
  • ADVIEW: Ad View metrics
  • BIZ_BOARD: Bizboard metrics
  • SPB: Board metrics

Note: Sets the metrics to retrieve. Refer to the type definition for the detailed metrics in each group.
O
KeyTypeDescription
codeIntegerError code.
messageStringResult message.
dataData[]Detailed data for a report.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adGroups/report?datePreset=TODAY&level=AD_GROUP&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&adGroupId=15970&adGroupId=1,2,3,4,5" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adGroups/report?start=20200501&end=20200501&level=AD_GROUP&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&adGroupId=15970&adGroupId=1,2,3,4,5" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {
"creative_format": "IMAGE BANNER",
"ad_group_id": "1234"
},
"metrics": {
"imp": 4,
"click": 0,
"ctr": 0.0,
"cost": 0.0
}
}
]
}
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {},
"metrics": {}
}
]
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/creatives/report

Returns reports on creatives.

You can retrieve reports on up to 100 creatives at once.

This API limits the number of calls you can make to every 5 seconds per ad account's ID and app's ID. You cannot make a call within 5 seconds after the last call.

For report criteria and response fields, refer to Report criteria and response fields.

Creative report
  • You do not need to set 'level' because this API retrieves only the creative-level of the data.

  • If you set metricsGroup to 'MESSAGE', 'MESSAGE_ADDITION', or 'MESSAGE_CLICK' for a Display creative, no data is retrieved.

  • If you set metricsGroup to 'BASIC', 'ADDITION', 'PLUS_FRIEND', 'PIXEL_CONVERSION', 'SDK_CONVERSION' or 'VIDEO' for a Message campaign, no data is retrieved.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
creativeIdLong[]Creative's ID to be retrieved (Maximum: 100 creatives).O
datePresetEnum: DatePresetPredefined search period for reportX
timeUnitEnum: TimeUnitCounting unit for report.

Available values:
  • DAY: Aggregated by date (Default)
  • ALL: Aggregated over the entire requested period as one

Note: To retrieve data by hour, use dimension and set it to HOUR.
X
startStringReport search period (Start date in yyyyMMdd format.)
If either start or end is null, data is retrieved according to the value of datePreset.
If even datePreset is not specified, data is retrieved based on TODAY (the value of datePreset).
You can set a start date in the past except for the day you search.
X
endStringReport search period (End date in yyyyMMdd format.)
You can set an end date from the start date to the day before you retrieve.
X
dimensionEnum: DimensionCriteria to retrieve a report.

Available values:
  • CREATIVE_FORMAT: Creative format
  • PLACEMENT: Placement
  • AGE_BAND: Age range
  • GENDER: Gender
  • AGE_BAND_GENDER: Age range+gender
  • LOCATION: Location
  • DEVICE_TYPE: Device type
  • HOUR: Hour

Note: Sets the criteria by which report data is grouped.
X
metricsGroupEnum: MetricsGroup[]Report metric group.

Available values:
  • BASIC: Basic metrics
  • ADDITION: Additional metrics
  • MESSAGE: Message basic metrics
  • MESSAGE_ADDITION: Message additional metrics
  • MESSAGE_CLICK: Message click metrics
  • PLUS_FRIEND: Kakao Talk friends metrics
  • PIXEL_SDK_CONVERSION: Pixel & SDK conversion metrics
  • SLIDE_CLICK: Slide metrics
  • VIDEO: Video metrics
  • ADVIEW: Ad View metrics
  • BIZ_BOARD: Bizboard metrics
  • SPB: Board metrics

Note: Sets the metrics to retrieve. Refer to the type definition for the detailed metrics in each group.
O
KeyTypeDescription
codeIntegerError code.
messageStringResult message.
dataData[]Detailed data for a report.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/creatives/report?datePreset=TODAY&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&creativeId=40068,40065" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
curl -X GET "https://apis.moment.kakao.com/openapi/v4/creatives/report?start=20200101&end=20200101&dimension=CREATIVE_FORMAT&metricsGroup=BASIC&level=CREATIVE&creativeId=40068,40065" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {
"creative_format": "IMAGE BANNER",
"creative_id": "1234"
},
"metrics": {
"imp": 4,
"click": 0,
"ctr": 0.0,
"cost": 0.0
}
}
]
}
{
"code": 200,
"message": "Success",
"data": [
{
"start": "2020-01-01",
"end": "2020-01-01",
"dimensions": {},
"metrics": {}
}
]
}

Was this helpful?

    Kakao Moment > Report - Kakao Developers | Docs